Get Renew Clients Certificate Status

Get Renew Clients Certificate Status
Status of renew client certificate operations.

Status of renew client certificate operations.

Request
URI
POST
https://{api_host}/suite-api/api/applications/agents/certificates/renew/status
COPY
Request Body

IDs of resources

resource-parameters of type(s) application/json
Required

Show optional properties

{
    "contextResourceIDs": [
        {}
    ]
}
"{\n  \"contextResourceIDs\" : [ \"3902b93e-422a-4c4e-888e-28e0bf82f5d0\", \"a9775cec-fa83-4fa5-81b6-864cbf2506dd\" ]\n}"
array of string
contextResourceIDs
Required

Collection of resource IDs

Authentication
This operation uses the following authentication methods.
Responses
200

The result of Certificate Renewal Status

Returns ClientsCertificateRenewalDetails of type(s) application/json
"{\n  \"renewContexts\" : [ {\n    \"resourceId\" : \"3902b93e-422a-4c4e-888e-28e0bf82f5d0\",\n    \"status\" : \"CLIENT_CERTIFICATE_RENEWAL_SUCCESS\"\n  }, {\n    \"resourceId\" : \"3902b93e-422a-4c4e-888e-28e0bf82f5d0\",\n    \"status\" : \"CLIENT_CERTIFICATE_RENEWAL_FAILED\"\n  } ]\n}"
array of object
renewContexts
Optional

EndPoint Certificate Renew Context


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"contextResourceIDs":["string"]}' https://{api_host}/suite-api/api/applications/agents/certificates/renew/status